## visad
Class BadDirectManipulationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              visad.VisADException
                  visad.DisplayException
                      visad.BadMappingException
                          visad.BadDirectManipulationException

All Implemented Interfaces:
  Serializable

public class BadDirectManipulationException
extends BadMappingException

BadDirectManipulationException is an exception for an illegal DirectManipulation with a VisAD display.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`BadDirectManipulationException()` construct a BadDirectManipulationException with no message
`BadDirectManipulationException(String s)` construct a BadDirectManipulationException with given message

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BadDirectManipulationException

    public BadDirectManipulationException()

  construct a BadDirectManipulationException with no message

### BadDirectManipulationException

    public BadDirectManipulationException(String s)

  construct a BadDirectManipulationException with given message

Parameters:
  `s` - - message String